function Alarms(clearAddress, clearHistoryAddress, silenceAddress, statusAddress, settings) {
    this.clearAddress = clearAddress;
    this.clearHistoryAddress = clearHistoryAddress;
    this.silenceAddress = silenceAddress;
    this.statusAddress = statusAddress;
    if (settings != null) {
        this.onClear = settings.onClear || function(){location.reload(true); };
    } else {
        this.onClear = function(){location.reload(true); };
    }
    this.watchSocket = null;
    
}


Alarms.prototype.SilenceAlarms = function() {
    var data = {
        type: 'write',
        values:[
            {
                name: "alarm-silence",
                address: this.silenceAddress
            }
        ]
    };

    console.log("silence alarms", data);

    wsWrite(data);


};


Alarms.prototype.ClearAlarms = function() {

    var address = this.clearAddress;
    this.SendClear(address);
    
};





Alarms.prototype.ClearHistory = function () {
    var address = this.clearHistoryAddress;
    this.SendClear(address);
    


};



Alarms.prototype.SendClear = function (address) {
    var currAlarm = this;
    var data = {
        type: 'write',
        values: [
            {
                name:"alarm-clear",
                address: address
            }
        ]

    };
    wsWrite(data, {
        success: function (responseData) {
            console.log("clear alarms", address);
            wsRead(address, {
                onmessage: function(conn, responseData) {
                    console.log(responseData);
                    if (responseData.values.length > 0) {
                        var value = responseData.values[0].value;
                        if (value == "0"){
                            conn.close();
                            currAlarm.onClear();
                        }
                    } else {
                        console.log("Values are bad");
                        conn.close();
                    }
                    
                }
                
            });
        }
        
    });
    
};


Alarms.prototype.WatchAlarms = function(currAlarmStatus) {
    var statusAddress = this.statusAddress;
    console.log(currAlarmStatus);
   this.watchSocket =  wsRead(statusAddress, {

        onmessage: function(conn, responseData) {
            console.log(responseData);
            if (responseData.values.length > 0) {
                
                var value = responseData.values[0].value;
                if (value != currAlarmStatus) {
                    conn.close();
                    location.reload(true);
                }

            }

        }
    });
};

Alarms.prototype.ShowFreezeScreen = function(fn) {
    fn();
};
